## org.apache.lucene.analysis.payloads
Class NumericPayloadTokenFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.payloads.NumericPayloadTokenFilter

    public class NumericPayloadTokenFilter

extends TokenFilter

Assigns a payload to a token based on the `Token.type()`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`NumericPayloadTokenFilter(TokenStream input, float payload, String typeMatch)`

Method Summary
`Token` `next(Token result)` Returns the next token in the stream, or null at EOS.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericPayloadTokenFilter

    public NumericPayloadTokenFilter(TokenStream input,
                                     float payload,
                                     String typeMatch)

Method Detail

### next

    public Token next(Token result)
               throws IOException

  Description copied from class: `TokenStream`
  Returns the next token in the stream, or null at EOS. When possible, the input Token should be used as the returned Token (this gives fastest tokenization performance), but this is not required and a new Token may be returned. Callers may re-use a single Token instance for successive calls to this method.

  This implicitly defines a "contract" between consumers (callers of this method) and producers (implementations of this method that are the source for tokens):

  - A consumer must fully consume the previously returned Token before calling this method again.
  - A producer must call `Token.clear()` before setting the fields in it & returning it
  Note that a `TokenFilter` is considered a consumer.

  Overrides:
    `next` in class `TokenStream`
  Parameters:
    `result` - a Token that may or may not be used to return
  Returns:
    next token in the stream or null if end-of-stream was hit
  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.